### Method

# Gtk TreeView insert_column_with_attributes

#### Declaration [src]

    int
    gtk_tree_view_insert_column_with_attributes (
      GtkTreeView* tree_view,
      int position,
      const char* title,
      GtkCellRenderer* cell,
      ...
    )

#### Description [src]

Creates a new `GtkTreeViewColumn` and inserts it into the `tree_view` at `position`. If `position` is -1, then the newly created column is inserted at the end. The column is initialized with the attributes given. If `tree_view` has “fixed_height” mode enabled, then the new column will have its sizing property set to be GTK_TREE_VIEW_COLUMN_FIXED.

#### Parameters

`position` | `int`
| The position to insert the new column in.
`title` | `const char*`
| The title to set the header to.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`cell` | `GtkCellRenderer`
| The `GtkCellRenderer`.
| The data is owned by the caller of the function.
`...` | ``
| A `NULL`-terminated list of attributes.

#### Return value

Returns: | `int`
| The number of columns in `tree_view` after insertion.